#ifndef ExecuteHexDiagService_H
#define ExecuteHexDiagService_H

#include <Command.h>

#include "ComChannel.h"
namespace ProtoGenWrapper
{
	class ExecuteHexDiagService : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		ExecuteHexDiagService(const ComChannel comChannel, const std::string& bytes);
		ExecuteHexDiagService(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(ComChannel& comChannel, std::string& bytes);

		static int GetCommandType();
	};
}
#endif // ExecuteHexDiagService_H
